It causes some Rails 4 Deprecation messages #91

Closed
PikachuEXE opened this Issue Mar 18, 2013 · 5 comments

Comments

Projects
None yet
4 participants

They are not urgent
Just to let you know ;)

Messages

DEPRECATION WARNING: 
ActionController::AbstractRequest and ActionController::Request 
are deprecated and will be removed, 
use ActionDispatch::Request instead.
DEPRECATION WARNING: 
ActionController::AbstractResponse and ActionController::Response 
are deprecated and will be removed, 
use ActionDispatch::Response instead. 
DEPRECATION WARNING: 
ActionController::Routing is deprecated and will be removed, 
use ActionDispatch::Routing instead. 
DEPRECATION WARNING: 
Filter object with #filter method is deprecated. 
Define method corresponding to filter type (#before, #after or #around). 

@ghost ghost assigned romanvbabenko Oct 18, 2013

I will just close myself due to 3a6ac19

@PikachuEXE PikachuEXE closed this Mar 17, 2014

any way to silence these messages?

Collaborator

Intrepidd commented Apr 10, 2014

Are you using the latest version?

Adrien Siami
On Apr 10, 2014 10:17 PM, "Greg Buckner" notifications@github.com wrote:

any way to silence these messages?

Reply to this email directly or view it on GitHubhttps://github.com/josevalim/rails-footnotes/issues/91#issuecomment-40132916
.

I am now - rookie mistake. I did a bundle update rails-footnotes and it fixed the issue.

Thanks for the quick response.

On Apr 10, 2014, at 13:24 , Adrien notifications@github.com wrote:

Are you using the latest version?

Adrien Siami
On Apr 10, 2014 10:17 PM, "Greg Buckner" notifications@github.com wrote:

any way to silence these messages?

Reply to this email directly or view it on GitHubhttps://github.com/josevalim/rails-footnotes/issues/91#issuecomment-40132916
.


Reply to this email directly or view it on GitHub.

Collaborator

Intrepidd commented Apr 10, 2014

You're welcome! Please note the initializers format has changed even though
it's still backward compatible but not for long.

Feel free to open an issue if you find any problem with this new version.

Seeya!

Adrien Siami
On Apr 10, 2014 10:25 PM, "Greg Buckner" notifications@github.com wrote:

I am now - rookie mistake. I did a bundle update rails-footnotes and it
fixed the issue.

Thanks for the quick response.

On Apr 10, 2014, at 13:24 , Adrien notifications@github.com wrote:

Are you using the latest version?

Adrien Siami
On Apr 10, 2014 10:17 PM, "Greg Buckner" notifications@github.com
wrote:

any way to silence these messages?

Reply to this email directly or view it on GitHub<
https://github.com/josevalim/rails-footnotes/issues/91#issuecomment-40132916>

.

Reply to this email directly or view it on GitHub.

Reply to this email directly or view it on GitHubhttps://github.com/josevalim/rails-footnotes/issues/91#issuecomment-40133690
.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment